Name:		yasm
Version:	1.3.0
Release:	%mkrel 10
Summary:	Modular Assembler
License:	BSD
Group:		Development/Other
Url:		https://yasm.tortall.net/
Source0:	https://www.tortall.net/projects/%{name}/releases/%{name}-%{version}.tar.gz
Patch0:		yasm-CVE-2023-31975.patch
# https://github.com/yasm/yasm/issues/283
Patch4:		yasm-gcc15.patch

BuildRequires:	xmlto

Obsoletes:	yasm-python < 1.3.0-4

%description
Yasm is a complete rewrite of the NASM assembler.
It is designed from the ground up to allow for multiple
assembler syntaxes to be supported (e.g., NASM, TASM, GAS, etc.) in
addition to multiple output object formats and even multiple
instruction sets. Another primary module of the overall design is an
optimizer module.

#------------------------------------------------------------------------------

%package	devel
Summary:	Development headers and files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description devel
Development headers and files for %{name}.

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%configure \
	--disable-rpath \
	--disable-python \
	--disable-python-bindings
%make_build

%install
%make_install

%files
%doc AUTHORS
%{_bindir}/*
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man7/%{name}_arch.7.*
%{_mandir}/man7/%{name}_dbgfmts.7.*
%{_mandir}/man7/%{name}_objfmts.7.*
%{_mandir}/man7/%{name}_parsers.7.*

%files devel
%{_libdir}/lib%{name}.a
%{_includedir}/libyasm/
%{_includedir}/libyasm.h
%{_includedir}/libyasm-stdint.h


%changelog
* Tue May 20 2025 daviddavid <daviddavid> 1.3.0-10.mga10
+ Revision: 2185329
- add opensuse patch to fix build with gcc 15

* Sun Dec 22 2024 pterjan <pterjan> 1.3.0-9.mga10
+ Revision: 2128369
- Rebuild for patchN deprecation

* Wed Jun 21 2023 luigiwalser <luigiwalser> 1.3.0-8.mga9
+ Revision: 1962731
- add upstream patch to fix CVE-2023-31975 (apparently not a security issue)

* Thu Feb 09 2023 ghibo <ghibo> 1.3.0-7.mga9
+ Revision: 1939634
- Rebuild for aging

* Sat Mar 19 2022 umeabot <umeabot> 1.3.0-6.mga9
+ Revision: 1799748
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.3.0-5.mga8
+ Revision: 1531811
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 15 2019 daviddavid <daviddavid> 1.3.0-4.mga8
+ Revision: 1441038
- drop python2 support (python3 not yet compatible)

* Sun Sep 23 2018 umeabot <umeabot> 1.3.0-3.mga7
+ Revision: 1302021
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 1.3.0-2.mga6
+ Revision: 963664
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 daviddavid <daviddavid> 1.3.0-1.mga6
+ Revision: 839734
- new version: 1.3.0

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-9.mga5
+ Revision: 739106
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.0-8.mga5
+ Revision: 730749
- rebuild for missing pythoneggs deps
- description is not license tag
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Sun Mar 30 2014 daviddavid <daviddavid> 1.2.0-5.mga5
+ Revision: 610501
- drop unneeded BR on python-pyrex
+ david-david <david-david>
- update URL
- clean a bit spec file

* Tue Oct 22 2013 umeabot <umeabot> 1.2.0-4.mga4
+ Revision: 544709
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.0-3.mga4
+ Revision: 500012
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jan 14 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 387552
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 09 2012 shlomif <shlomif> 1.2.0-1.mga2
+ Revision: 194171
- New version - 1.2.0

* Tue Jan 18 2011 pterjan <pterjan> 1.1.0-5.mga1
+ Revision: 21819
- Rebuild for python 2.7
+ ahmad <ahmad>
- patch the correct file
- add patch to fix a cython compiler error
- drop old/unneeded scriptlets
- imported package yasm


* Sun Oct 31 2010 John Balcaen <mikala@mandriva.org> 1.1.0-3mdv2011.0
+ Revision: 591132
- Add BR for python-devel
- Remove py_requires -d macro
- Add missing BR ( python-cython)

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7
    - rebuild for python 2.7

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 1.1.0

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-2mdv2010.1
+ Revision: 524477
- rebuilt for 2010.1

* Mon Sep 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.0-1mdv2010.0
+ Revision: 440815
- update to new version 0.8.0

* Sat Jun 06 2009 Giuseppe Ghibò <ghibo@mandriva.com> 0.7.2-3mdv2010.0
+ Revision: 383351
- Better python-pyrex BuildRequires.
- Added conditional lzma BuildRequires.

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 0.7.2-2mdv2009.1
+ Revision: 319240
- rebuild for new python

* Fri Oct 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.2-1mdv2009.0
+ Revision: 291448
- update to new version 0.7.2

* Sat Aug 09 2008 Thierry Vignaud <tv@mandriva.org> 0.7.1-2mdv2009.0
+ Revision: 269852
- rebuild early 2009.0 package (before pixel changes)

* Tue May 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.1-1mdv2009.0
+ Revision: 209592
- update to new version 0.7.1

* Mon May 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.0-1mdv2009.0
+ Revision: 206302
- add requires on python-devel
- new version
- enable pythin bindings
- add missing buildrequires on xmlto and python-pyrex
- compile with fPIC on non-ix86 archs
- spec file clean

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 22 2007 trem <trem@mandriva.org> 0.6.2-1mdv2008.1
+ Revision: 92122
- update to 0.6.2
- update to 0.6.2

* Sun Aug 19 2007 Michael Scherer <misc@mandriva.org> 0.6.1-3mdv2008.0
+ Revision: 66497
- rebuild for missing lib

* Thu Aug 16 2007 Michael Scherer <misc@mandriva.org> 0.6.1-2mdv2008.0
+ Revision: 64650
- fix build errors due to manpages
- rebuild for 2008.0

* Sat Jun 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2008.0
+ Revision: 40287
- new version


* Tue Feb 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-4mdv2007.0
+ Revision: 126545
- remove conflicts

* Tue Feb 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-3mdv2007.1
+ Revision: 126449
- correct obsoletes and conflicts (thanks goes to Goetz)

* Tue Feb 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-2mdv2007.1
+ Revision: 126246
- remove libification, because yasm doesn't provide any libraries
- remove rpath
- some cleans

* Mon Feb 26 2007 trem <trem@mandriva.org> 0.6.0-1mdv2007.1
+ Revision: 126165
- 0.6.0

  + Michael Scherer <misc@mandriva.org>
    - Import yasm

* Mon Jul 17 2006 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2007.0
- New release 0.5.0

* Sat Apr 08 2006 trem <trem@mandriva.org> 0.5.0-0.rc2.1mdk
- 0.5.0rc2

* Sun Feb 12 2006 trem <trem@mandriva.org> 0.5.0-0.rc1.1mdk
- 0.5.0rc1

* Fri May 20 2005 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdk
- initial package

